package com.steerinfo.ems.emslog.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="系统操作日志表")
public class EmsLog implements IBasePO<String> {
    /**
     * 主键(ID,VARCHAR,100)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private String id;

    /**
     * 修改的表名(UPDATETABLE,VARCHAR,50)
     */
    @ApiModelProperty(value="操作的表名",required=false)
    private String updatetable;

    /**
     * 修改内容(CODE,VARCHAR,1000)
     */
    @ApiModelProperty(value="操作内容",required=false)
    private String code;

    /**
     * 操作人(OPERATORTIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="操作时间",required=false)
    private Date operatortime;

    /**
     * 操作时间(OPERATOR,VARCHAR,50)
     */
    @ApiModelProperty(value="操作人",required=false)
    private String operator;

    @ApiModelProperty(value="操作类型",required=false)
    private String type;

    @ApiModelProperty
    private String page;

    public String getPage() {
        return page;
    }

    public void setPage(String page) {
        this.page = page;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getUpdatetable() {
        return updatetable;
    }

    public void setUpdatetable(String updatetable) {
        this.updatetable = updatetable == null ? null : updatetable.trim();
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code == null ? null : code.trim();
    }

    public Date getOperatortime() {
        return operatortime;
    }

    public void setOperatortime(Date operatortime) {
        this.operatortime = operatortime;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator == null ? null : operator.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", updatetable=").append(updatetable);
        sb.append(", code=").append(code);
        sb.append(", operatortime=").append(operatortime);
        sb.append(", operator=").append(operator);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}